%define ephy_major		2.16
%define ephy_min_version	%{ephy_major}.0

Name:		epiphany-extensions
Version:	%{ephy_major}.1
Release:	5
Summary:	Extensions for Epiphany, the GNOME web browser

License:	GPL
Group:		Applications/Internet
URL:		http://www.gnome.org/projects/epiphany/extensions

Source0:	http://ftp.gnome.org/pub/GNOME/sources/epiphany-extensions/%{ephy_major}/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	epiphany-devel >= %{ephy_min_version}
BuildRequires:	perl(XML::Parser)
BuildRequires:	gettext
BuildRequires:	pcre-devel
BuildRequires:	opensp-devel

Requires:	epiphany >= %{ephy_min_version}
Requires:	firefox = %(rpm -q firefox-devel --qf '%%{version}' 2>/dev/null)

Requires(post):	scrollkeeper

Requires(postun):	scrollkeeper

%description
Epiphany Extensions is a collection of extensions for Epiphany, the
GNOME web browser.


%prep
%setup -q


%build
%configure --disable-compiler-warnings --disable-scrollkeeper	\
	--with-extensions=really-all
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install
%{find_lang} "%{name}-%{ephy_major}"


%clean
%{__rm} -rf %{buildroot}


%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} ||:


%postun
scrollkeeper-update -q ||:


%files -f %{name}-%{ephy_major}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.README ChangeLog README NEWS
%{_datadir}/%{name}
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%exclude %{_libdir}/epiphany/%{ephy_major}/extensions/*.la
%{_libdir}/epiphany/%{ephy_major}/extensions/


%changelog
* Thu May 31 2007 Peter Gordon <peter@thecodergeek.com> - 2.16.1-5
- Rebuild for newer Gecko release (Firefox 1.5.0.12)

* Fri Mar 02 2007 Peter Gordon <peter@thecodergeek.com> - 2.16.1-4
- Bump EVR and rebuild for new Firefox release; and add an explicit versioned
  dependency on firefox to help avoid such incompatibilities in the future.
  (Resolves bug #230761; Thanks to Brian Pepple for the fix.)  

* Thu Jan 25 2007 Peter Gordon <peter@thecodergeek.com> - 2.16.1-3
- Enable all extensions. (Woo!)
- Lots of spec file cleanups:
  (1) Aesthetic fixes;
  (2) Summary should not end with a period;
  (3) Made macro usage far more consistent.
- Fix date on previous %%changelog entry.

* Wed Jan 24 2007 Peter Gordon <peter@thecodergeek.com> - 2.16.1-2
- Make macro usage more consistent.
- Use %%find_lang instead of a hardcoded call to 'find_lang.sh --all-name'
- A couple of fixes from Brian Pepple:
  (1) Own only the extensions subdirectory in %%_libdir/epiphany, not the
  toplevel directory (which is owned by epiphany).
  (2) Don't package libtool archive (*.la) files.
- Add AUTHORS to the installed documentation (%%doc).


* Fri Dec 01 2006 Peter Gordon <peter@thecodergeek.com> 2.16.1-1
- Update to new upstream release (2.16.1)
- Fix BuildRoot to be comply with Fedora Extras packaging policy
- Include COPYING and COPYING.README files as %%doc.	

* Thu Oct 12 2006 Peter Gordon <peter@thecodergeek.com>
- Change perl-XML-Parser BR to perl(XML::Parser)
- DESTDIR is a make variable, not an external one

* Thu Oct 12 2006 Zack Cerza <zcerza@redhat.com> 2.16.0-1
- Update to 2.16.0

* Tue Aug 29 2006 Christopher Aillon <caillon@redhat.com> 2.15.2-1
- Update to 2.15.2

* Sun Apr 16 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.14.1-1
- Upstream update

* Fri Feb 17 2006 Christopher Aillon <caillon@redhat.com> - 1.9.7-1
- Update to 1.9.7

* Sun Feb  5 2006 Christopher Aillon <caillon@redhat.com> - 1.9.6-1
- Update to 1.9.6

* Tue Jan  3 2006 Christopher Aillon <caillon@redhat.com> - 1.9.4-1
- Update to 1.9.4

* Fri Dec 30 2005 Christopher Aillon <caillon@redhat.com> - 1.9.3-1
- Update to 1.9.3

* Mon Oct 10 2005 Christopher Aillon <caillon@redhat.com> - 1.8.1-1
- Update to 1.8.1

* Tue Sep  6 2005 Christopher Aillon <caillon@redhat.com> - 1.8.0-1
- Update to 1.8.0

* Wed Aug 10 2005 Christopher Aillon <caillon@redhat.com> - 1.7.4-1
- Update to 1.7.4

* Fri Jul 29 2005 Christopher Aillon <caillon@redhat.com> - 1.7.3-1
- Update to 1.7.3

* Mon Jul 11 2005 Christopher Aillon <caillon@redhat.com> - 1.7.2-1
- Update to 1.7.2

* Mon Jun 27 2005 Christopher Aillon <caillon@redhat.com> - 1.7.1-2
- Own %%{_libdir}/epiphany
- Run find-lang.sh manually since the macro doesn't help us
- Clean up summary

* Thu Jun 16 2005 Christopher Aillon <caillon@redhat.com> - 1.7.1-1
- Initial RPM